/*
Copyright (C) 2024 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.
*/

pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table if not exists "leagues" (
	"ID"	text,
	"name"	text
);

insert into leagues values
	("NA","National Association"),
	("NL","National League"),
	("AA","American Association"),
	("UA","Union Association"),
	("PL","Player's League"),
	("AL","American League"),
	("FL","Federal League");

create table if not exists main."leagues" (
	"ID"	text,
	"name"	text,
	primary key("ID")
);

insert into main.leagues select distinct * from temp."leagues";
commit;
